> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usecontextlayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List active accounts belonging to an Owner



## OpenAPI

````yaml https://platform.usecontextlayer.com/api/openapi.json get /accounts/{type}/{owner_id}
openapi: 3.1.0
info:
  title: ContextLayer Platform
  version: 0.1.0
servers:
  - url: https://platform.usecontextlayer.com/api
security: []
tags:
  - name: Slates
  - name: Slate routing
  - name: Slate resources
  - name: Accounts
  - name: Shared secrets
  - name: Agents
  - name: Agent jobs
paths:
  /accounts/{type}/{owner_id}:
    get:
      tags:
        - Accounts
      summary: List active accounts belonging to an Owner
      operationId: listAccounts
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: owner_id
          in: path
        - schema:
            type: string
            enum:
              - org
              - personal
          required: true
          name: type
          in: path
      responses:
        '200':
          description: Connected accounts belonging to the selected Owner
          content:
            application/json:
              schema:
                type: object
                properties:
                  accounts:
                    type: array
                    items:
                      type: object
                      properties:
                        alias:
                          type:
                            - string
                            - 'null'
                        display_name:
                          type:
                            - string
                            - 'null'
                        id:
                          type: string
                        status:
                          type: string
                          enum:
                            - ACTIVE
                        toolkit:
                          type: string
                      required:
                        - alias
                        - display_name
                        - id
                        - status
                        - toolkit
                required:
                  - accounts
        '401':
          description: A valid ContextLayer login is required
        '403':
          description: This user cannot manage this Owner's connected accounts
      security:
        - bearerAuth: []
        - webCookie: []
        - localWebCookie: []
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    webCookie:
      in: cookie
      name: __Secure-better-auth.session_token
      type: apiKey
    localWebCookie:
      in: cookie
      name: better-auth.session_token
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.